# ChangeLog for net-libs/courier-authlib
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-libs/courier-authlib/ChangeLog,v 1.60 2007/01/05 08:50:10 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-libs/courier-authlib/ChangeLog,v 1.61 2007/01/16 23:04:09 masterdriverz Exp $
+
+*courier-authlib-0.58-r1 (16 Jan 2007)
+
+ 16 Jan 2007; Charlie Shepherd <masterdriverz@gentoo.org>
+ +files/0.58-configure-db4.patch, +files/0.58-remove-obsolete-macro.patch,
+ -files/configure-db4.patch, -files/CVE-2005-3532.patch,
+ +files/courier-authlib, -files/courier-authlib-initd,
+ +files/initd/courier-authlib, -courier-authlib-0.53.ebuild,
+ -courier-authlib-0.54.20050224.ebuild, -courier-authlib-0.55.ebuild,
+ -courier-authlib-0.55.20050320.ebuild, -courier-authlib-0.56.ebuild,
+ -courier-authlib-0.57.ebuild, -courier-authlib-0.57-r1.ebuild,
+ -courier-authlib-0.57-r2.ebuild, -courier-authlib-0.57.20051116.ebuild,
+ courier-authlib-0.58.ebuild, +courier-authlib-0.58-r1.ebuild:
+ Clean out old versions. Sanitize remaining ebuild. Bump to -r1 for bug 117290.
+ Fix configure for bug 117290 for >db-4.3, thanks to Hanno Meyer-Thurow. Fix
+ configure for bug 160286, thanks to Sheldon Hearn.
05 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
courier-authlib-0.53.ebuild, courier-authlib-0.54.20050224.ebuild,
--- /dev/null
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-libs/courier-authlib/courier-authlib-0.58-r1.ebuild,v 1.1 2007/01/16 23:04:09 masterdriverz Exp $
+
+WANT_AUTOCONF="latest"
+WANT_AUTOMAKE="latest"
+
+inherit eutils flag-o-matic autotools
+
+DESCRIPTION="courier authentication library"
+[ -z "${PV/?.??/}" ] && SRC_URI="mirror://sourceforge/courier/${P}.tar.bz2"
+[ -z "$SRC_URI" ] && SRC_URI="http://www.courier-mta.org/beta/courier-authlib/${P%%_pre}.tar.bz2"
+HOMEPAGE="http://www.courier-mta.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="postgres ldap mysql berkdb gdbm pam crypt debug"
+
+RESTRICT="nouserpriv"
+
+DEPEND="gdbm? ( sys-libs/gdbm )
+ !gdbm? ( >=sys-devel/autoconf-2.5 sys-libs/db )
+ >=dev-libs/openssl-0.9.6
+ pam? ( >=sys-libs/pam-0.75 )
+ mysql? ( virtual/mysql )
+ ldap? ( >=net-nds/openldap-1.2.11 )
+ postgres? ( >=dev-db/postgresql-7.2 )"
+
+RDEPEND="gdbm? ( sys-libs/gdbm )
+ !gdbm? ( sys-libs/db )"
+
+S="${WORKDIR}/${P%%_pre}"
+
+pkg_setup() {
+ if ! has_version 'dev-tcltk/expect' ; then
+ ewarn 'The dev-tcltk/expect package is not installed.'
+ einfo 'Without it, you will not be able to change system login passwords.'
+ einfo 'However non-system authentication modules (LDAP, MySQL, PostgreSQL,'
+ einfo 'and others) will work just fine.'
+ fi
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ sed -e "s|^chk_file .* |&\${DESTDIR}|g" -i.orig authmigrate.in
+ use elibc_uclibc && sed -i -e 's:linux-gnu\*:linux-gnu\*\ \|\ linux-uclibc:' config.sub
+ if ! use gdbm ; then
+ epatch "${FILESDIR}/${PV}-configure-db4.patch"
+ else
+ epatch "${FILESDIR}/${PV}-remove-obselete-macro.patch"
+ fi
+ sed -i -e'/for dir in/a@@INDENT@@/etc/courier-imap \\' ${S}/authmigrate.in
+ sed -i -e'/for dir in/a@@INDENT@@/etc/courier/authlib \\' ${S}/authmigrate.in
+ sed -i -e"s|@@INDENT@@| |g" ${S}/authmigrate.in
+ sed -i -e"s|\$sbindir/makeuserdb||g" ${S}/authmigrate.in
+
+ eautoreconf
+}
+
+src_compile() {
+ filter-flags -fomit-frame-pointer
+
+ local myconf
+ myconf="$(use_with pam authpam) $(use_with ldap authldap)"
+
+ if use berkdb; then
+ if use gdbm; then
+ ewarn "Both gdbm and berkdb selected. Using gdbm."
+ else
+ myconf="${myconf} --with-db=db"
+ fi
+ fi
+ use gdbm && myconf="${myconf} --with-db=gdbm"
+
+ if has_version 'net-mail/vpopmail' ; then
+ myconf="${myconf} --with-authvchkpw --without-authmysql --without-authpgsql"
+ use mysql && ewarn "vpopmail found. authmysql will not be built."
+ use postgres && ewarn "vpopmail found. authpgsql will not be built."
+ else
+ myconf="${myconf} --without-authvchkpw $(use_with mysql authmysql) $(use_with postgres authpgsql)"
+ fi
+
+ use debug && myconf="${myconf} debug=true"
+
+ einfo "Configuring courier-authlib: ${myconf}"
+
+ econf \
+ --sysconfdir=/etc/courier \
+ --datadir=/usr/share/courier \
+ --libexecdir=/usr/$(get_libdir)/courier \
+ --localstatedir=/var/lib/courier \
+ --sharedstatedir=/var/lib/courier/com \
+ --with-authdaemonvar=/var/lib/courier/authdaemon \
+ --with-authshadow \
+ --without-redhat \
+ --with-mailuser=mail \
+ --with-mailgroup=mail \
+ --cache-file="${S}/configuring.cache" \
+ ${myconf} || die "econf failed"
+ emake || die "emake failed"
+}
+
+orderfirst() {
+ file="${D}/etc/courier/authlib/${1}" ; option="${2}" ; param="${3}"
+ if [ -e "${file}" ] ; then
+ orig="$(grep \"^${option}=\" ${file} | cut -d'\"' -f 2)"
+ new="${option}=\"${param} `echo ${orig} | sed -e\"s/${param}//g\" -e\"s/ / /g\"`\""
+ sed -i -e"s/^${option}=.*$/${new}/" ${file}
+ fi
+}
+
+finduserdb() {
+ for dir in \
+ /etc/courier/authlib /etc/courier /etc/courier-imap \
+ /usr/lib/courier/etc /usr/lib/courier-imap/etc \
+ /usr/local/etc /usr/local/etc/courier /usr/local/courier/etc \
+ /usr/local/lib/courier/etc /usr/local/lib/courier-imap/etc \
+ /usr/local/share/sqwebmail /usr/local/etc/courier-imap ; do
+ if [ -e "$dir/userdb" ]; then
+ einfo "found $dir/userdb"
+ cp -v $dir/userdb ${D}/etc/courier/authlib/
+ chmod go-rwx ${D}/etc/courier/authlib/userdb
+ continue
+ fi
+ done
+}
+
+src_install() {
+ diropts -o mail -g mail
+ dodir /etc/courier
+ keepdir /var/lib/courier/authdaemon
+ keepdir /etc/courier/authlib
+ emake install DESTDIR="${D}" || die "install failed"
+ emake install-migrate DESTDIR="${D}" || die "migrate failed"
+ [ ! -e "${D}/etc/courier/authlib/userdb" ] && finduserdb
+ emake install-configure DESTDIR="${D}" || die "install-configure failed"
+ rm -vf ${D}/etc/courier/authlib/*.bak
+ chown mail:mail ${D}/etc/courier/authlib/*
+ for y in ${D}/etc/courier/authlib/*.dist ; do
+ [ ! -e "${y%%.dist}" ] && cp -v ${y} ${y%%.dist}
+ done
+ use pam && orderfirst authdaemonrc authmodulelist authpam
+ use ldap && orderfirst authdaemonrc authmodulelist authldap
+ use postgres && orderfirst authdaemonrc authmodulelist authpgsql
+ use mysql && orderfirst authdaemonrc authmodulelist authmysql
+ dodoc AUTHORS COPYING ChangeLog* INSTALL NEWS README
+ dohtml README.html README_authlib.html NEWS.html INSTALL.html README.authdebug.html
+ if use mysql; then
+ dodoc README.authmysql.myownquery
+ dohtml README.authmysql.html
+ fi
+ use postgres && dohtml README.authpostgres.html README.authmysql.html
+ if use ldap; then
+ dodoc README.ldap
+ dodir /etc/openldap/schema
+ cp authldap.schema "${D}/etc/openldap/schema/"
+ fi
+ doinitd "${FILESDIR}/initd/courier-authlib" || die "init.d failed"
+}
+
+pkg_postinst() {
+ if [ -e /etc/courier/authlib/userdb ]; then
+ einfo "running makeuserdb"
+ chmod go-rwx /etc/courier/authlib/userdb
+ makeuserdb
+ fi
+
+ # Suggest cleaning out the following old files
+ list="$(find /etc/courier -type f -maxdepth 1 | grep \"^/etc/courier/auth\")"
+ if [ ! -z "${list}" ] ; then
+ ewarn "Courier authentication files are now in /etc/courier/authlib/"
+ einfo "The following files are no longer needed and can likely be removed:"
+ einfo " rm $(echo \"${list}\")"
+ fi
+}
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-libs/courier-authlib/courier-authlib-0.58.ebuild,v 1.11 2007/01/04 15:51:50 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-libs/courier-authlib/courier-authlib-0.58.ebuild,v 1.12 2007/01/16 23:04:09 masterdriverz Exp $
WANT_AUTOCONF="latest"
WANT_AUTOMAKE="latest"
[ -z "${PV/?.??/}" ] && SRC_URI="mirror://sourceforge/courier/${P}.tar.bz2"
[ -z "$SRC_URI" ] && SRC_URI="http://www.courier-mta.org/beta/courier-authlib/${P%%_pre}.tar.bz2"
HOMEPAGE="http://www.courier-mta.org/"
-S="${WORKDIR}/${P%%_pre}"
-SLOT="0"
LICENSE="GPL-2"
+SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 mips ppc ppc64 s390 sh sparc x86"
IUSE="postgres ldap mysql berkdb gdbm pam crypt debug"
+
RESTRICT="nouserpriv"
-DEPEND="virtual/libc
- gdbm? ( sys-libs/gdbm )
+DEPEND="gdbm? ( sys-libs/gdbm )
!gdbm? ( >=sys-devel/autoconf-2.5 sys-libs/db )
>=dev-libs/openssl-0.9.6
pam? ( >=sys-libs/pam-0.75 )
ldap? ( >=net-nds/openldap-1.2.11 )
postgres? ( >=dev-db/postgresql-7.2 )"
-RDEPEND="virtual/libc
- gdbm? ( sys-libs/gdbm )
+RDEPEND="gdbm? ( sys-libs/gdbm )
!gdbm? ( sys-libs/db )"
-filter-flags '-fomit-frame-pointer'
+S="${WORKDIR}/${P%%_pre}"
-src_unpack() {
+pkg_setup() {
if ! has_version 'dev-tcltk/expect' ; then
ewarn 'The dev-tcltk/expect package is not installed.'
einfo 'Without it, you will not be able to change system login passwords.'
einfo 'However non-system authentication modules (LDAP, MySQL, PostgreSQL,'
einfo 'and others) will work just fine.'
fi
+}
+
+src_unpack() {
unpack ${A}
- cd ${S}
- sed -e"s|^chk_file .* |&\${DESTDIR}|g" -i.orig authmigrate.in
+ cd "${S}"
+ sed -e "s|^chk_file .* |&\${DESTDIR}|g" -i.orig authmigrate.in
use elibc_uclibc && sed -i -e 's:linux-gnu\*:linux-gnu\*\ \|\ linux-uclibc:' config.sub
if ! use gdbm ; then
- epatch ${FILESDIR}/configure-db4.patch
+ epatch "${FILESDIR}/${PV}-configure-db4.patch"
+ else
+ epatch "${FILESDIR}/${PV}-remove-obselete-macro.patch"
fi
sed -i -e'/for dir in/a@@INDENT@@/etc/courier-imap \\' ${S}/authmigrate.in
sed -i -e'/for dir in/a@@INDENT@@/etc/courier/authlib \\' ${S}/authmigrate.in
}
src_compile() {
- local myconf
- myconf="`use_with pam authpam` `use_with ldap authldap`"
+ filter-flags -fomit-frame-pointer
- if use berkdb ; then
- use gdbm && \
- einfo "Both gdbm and berkdb selected. Using gdbm." || \
- myconf="${myconf} --with-db=db"
+ local myconf
+ myconf="$(use_with pam authpam) $(use_with ldap authldap)"
+
+ if use berkdb; then
+ if use gdbm; then
+ ewarn "Both gdbm and berkdb selected. Using gdbm."
+ else
+ myconf="${myconf} --with-db=db"
+ fi
fi
use gdbm && myconf="${myconf} --with-db=gdbm"
use mysql && ewarn "vpopmail found. authmysql will not be built."
use postgres && ewarn "vpopmail found. authpgsql will not be built."
else
- myconf="${myconf} --without-authvchkpw `use_with mysql authmysql` `use_with postgres authpgsql`"
+ myconf="${myconf} --without-authvchkpw $(use_with mysql authmysql) $(use_with postgres authpgsql)"
fi
use debug && myconf="${myconf} debug=true"
--without-redhat \
--with-mailuser=mail \
--with-mailgroup=mail \
- --cache-file=${S}/configuring.cache \
- ${myconf} || die "bad ./configure"
- emake || die "Compile problem"
+ --cache-file="${S}/configuring.cache" \
+ ${myconf} || die "econf failed"
+ emake || die "emake failed"
}
orderfirst() {
file="${D}/etc/courier/authlib/${1}" ; option="${2}" ; param="${3}"
if [ -e "${file}" ] ; then
- orig="`grep \"^${option}=\" ${file} | cut -d'\"' -f 2`"
+ orig="$(grep \"^${option}=\" ${file} | cut -d'\"' -f 2)"
new="${option}=\"${param} `echo ${orig} | sed -e\"s/${param}//g\" -e\"s/ / /g\"`\""
sed -i -e"s/^${option}=.*$/${new}/" ${file}
fi
/usr/local/etc /usr/local/etc/courier /usr/local/courier/etc \
/usr/local/lib/courier/etc /usr/local/lib/courier-imap/etc \
/usr/local/share/sqwebmail /usr/local/etc/courier-imap ; do
- [ -e "$dir/userdb" ] && ( echo "found $dir/userdb" ; \
- cp -v $dir/userdb ${D}/etc/courier/authlib/ ; \
- chmod go-rwx ${D}/etc/courier/authlib/userdb ; continue )
+ if [ -e "$dir/userdb" ]; then
+ einfo "found $dir/userdb"
+ cp -v $dir/userdb ${D}/etc/courier/authlib/
+ chmod go-rwx ${D}/etc/courier/authlib/userdb
+ continue
+ fi
done
}
dodir /etc/courier
keepdir /var/lib/courier/authdaemon
keepdir /etc/courier/authlib
- emake install DESTDIR="${D}" || die "install"
- emake install-migrate DESTDIR="${D}" || die "migrate"
+ emake install DESTDIR="${D}" || die "install failed"
+ emake install-migrate DESTDIR="${D}" || die "migrate failed"
[ ! -e "${D}/etc/courier/authlib/userdb" ] && finduserdb
- emake install-configure DESTDIR="${D}" || die "configure"
+ emake install-configure DESTDIR="${D}" || die "install-configure failed"
rm -vf ${D}/etc/courier/authlib/*.bak
chown mail:mail ${D}/etc/courier/authlib/*
for y in ${D}/etc/courier/authlib/*.dist ; do
use mysql && orderfirst authdaemonrc authmodulelist authmysql
dodoc AUTHORS COPYING ChangeLog* INSTALL NEWS README
dohtml README.html README_authlib.html NEWS.html INSTALL.html README.authdebug.html
- use mysql && ( dodoc README.authmysql.myownquery ; dohtml README.authmysql.html )
+ if use mysql; then
+ dodoc README.authmysql.myownquery
+ dohtml README.authmysql.html
+ fi
use postgres && dohtml README.authpostgres.html README.authmysql.html
- use ldap && ( dodoc README.ldap ; dodir /etc/openldap/schema ; \
- cp authldap.schema ${D}/etc/openldap/schema/ )
- dodir /etc/init.d
- exeinto /etc/init.d
- newexe ${FILESDIR}/courier-authlib-initd courier-authlib || die "init.d failed"
+ if use ldap; then
+ dodoc README.ldap
+ dodir /etc/openldap/schema
+ cp authldap.schema "${D}/etc/openldap/schema/"
+ fi
+ # Note: different init.d file to -r1
+ doinitd "${FILESDIR}/courier-authlib" || die "init.d failed"
}
pkg_postinst() {
- [ -e /etc/courier/authlib/userdb ] && \
- ( einfo "running makeuserdb" ; chmod go-rwx /etc/courier/authlib/userdb \
- ; makeuserdb )
+ if [ -e /etc/courier/authlib/userdb ]; then
+ einfo "running makeuserdb"
+ chmod go-rwx /etc/courier/authlib/userdb
+ makeuserdb
+ fi
+
# Suggest cleaning out the following old files
- list="`find /etc/courier -type f -maxdepth 1 | grep \"^/etc/courier/auth\"`"
+ list="$(find /etc/courier -type f -maxdepth 1 | grep \"^/etc/courier/auth\")"
if [ ! -z "${list}" ] ; then
ewarn "Courier authentication files are now in /etc/courier/authlib/"
einfo "The following files are no longer needed and can likely be removed:"
- einfo " rm `echo \"${list}\" | xargs echo`"
+ einfo " rm $(echo \"${list}\")"
fi
}
--- /dev/null
+--- configure.in.orig 2004-11-02 14:46:22.000000000 -0800
++++ configure.in 2004-11-02 14:51:02.531958000 -0800
+@@ -26,7 +26,6 @@
+ AC_PROG_CPP
+ AC_PROG_INSTALL
+ AC_PROG_LN_S
+-AC_PROG_SYSCONFTOOL
+ AC_SUBST(LTDLINCL)
+ AC_SUBST(LIBLTDL)
+ AC_LIBTOOL_DLOPEN
+@@ -284,15 +283,17 @@
+
+ if test "$db" != "gdbm"
+ then
+- AC_CHECK_LIB(db, dbopen, [ LIBDB=-ldb ; LIBS="-ldb $LIBS" ],
+- [ AC_CHECK_LIB(db, db_open, [ LIBDB=-ldb ; LIBS="-ldb $LIBS"],
+- [ AC_CHECK_LIB(db, db_env_create,
+- [ LIBDB=-ldb; LIBS="-ldb $LIBS"]) ]
+- )])
+-
+- AC_CHECK_FUNC(dbopen, HAVE_BDB=1)
+- AC_CHECK_FUNC(db_open, HAVE_BDB=1)
+- AC_CHECK_FUNC(db_env_create, HAVE_BDB=1)
++ for dbname in db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db
++ do
++ AC_CHECK_LIB($dbname, db_create_4002, [ LIBDB=-l$dbname ; LIBS="-l$dbname $LIBS"; break ],
++ AC_CHECK_LIB($dbname, db_create_4001, [ LIBDB=-l$dbname ; LIBS="-l$dbname $LIBS"; break ],
++ AC_CHECK_LIB($dbname, db_create_4000, [ LIBDB=-l$dbname ; LIBS="-l$dbname $LIBS"; break ],
++ AC_CHECK_LIB($dbname, db_create, [ LIBDB=-l$dbname ; LIBS="-l$dbname $LIBS"; break ]))))
++ done
++ AC_CHECK_FUNC(db_create_4002, HAVE_BDB=1)
++ AC_CHECK_FUNC(db_create_4001, HAVE_BDB=1)
++ AC_CHECK_FUNC(db_create_4000, HAVE_BDB=1)
++ AC_CHECK_FUNC(db_create, HAVE_BDB=1)
+ fi
+
+ LIBS="$saveLIBS"
+--- bdbobj/configure.in 2001-09-18 18:26:28.000000000 -0700
++++ bdbobj/configure.in 2004-08-14 16:15:08.469316646 -0700
+@@ -21,15 +21,19 @@
+ dnl Checks for libraries.
+
+ saveLIBS="$LIBS"
+-AC_CHECK_LIB(db, dbopen, [ LIBDB=-ldb ; LIBS="-ldb $LIBS" ],
+- AC_CHECK_LIB(db, db_open, [ LIBDB=-ldb ; LIBS="-ldb $LIBS"],
+- AC_CHECK_LIB(db, db_env_create, [ LIBDB=-ldb; LIBS="-ldb $LIBS"])
+- ))
+-
+-FOUND_DB=0
+-AC_CHECK_FUNC(dbopen, FOUND_DB=1)
+-AC_CHECK_FUNC(db_open, FOUND_DB=1)
+-AC_CHECK_FUNC(db_env_create, FOUND_DB=1)
++for dbname in db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db
++ do
++ AC_CHECK_LIB($dbname, db_create_4002, [ LIBDB=-l$dbname ; LIBS="-l$dbname $LIBS"; break ],
++ AC_CHECK_LIB($dbname, db_create_4001, [ LIBDB=-l$dbname ; LIBS="-l$dbname $LIBS"; break ],
++ AC_CHECK_LIB($dbname, db_create_4000, [ LIBDB=-l$dbname ; LIBS="-l$dbname $LIBS"; break ],
++ AC_CHECK_LIB($dbname, db_create, [ LIBDB=-l$dbname ; LIBS="-l$dbname $LIBS"; break ]))))
++
++ done
++FOUND_DB=0
++AC_CHECK_FUNC(db_create_4002, FOUND_DB=1)
++AC_CHECK_FUNC(db_create_4001, FOUND_DB=1)
++AC_CHECK_FUNC(db_create_4000, FOUND_DB=1)
++AC_CHECK_FUNC(db_create, FOUND_DB=1)
+
+ LIBS="$saveLIBS"
+
--- /dev/null
+--- configure.in.orig 2004-11-02 14:46:22.000000000 -0800
++++ configure.in 2004-11-02 14:51:02.531958000 -0800
+@@ -26,7 +26,6 @@
+ AC_PROG_CPP
+ AC_PROG_INSTALL
+ AC_PROG_LN_S
+-AC_PROG_SYSCONFTOOL
+ AC_SUBST(LTDLINCL)
+ AC_SUBST(LIBLTDL)
+ AC_LIBTOOL_DLOPEN
--- /dev/null
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-libs/courier-authlib/files/courier-authlib,v 1.1 2007/01/16 23:04:09 masterdriverz Exp $
+depend() {
+ need net
+ provide authdaemond
+}
+
+checkconfig() {
+ if [ ! -e /etc/courier/authlib/authdaemonrc ] ; then
+ eerror "You need an /etc/courier/authlib/authdaemonrc file to run authdaemon"
+ return 1
+ fi
+}
+
+setauth() {
+ source /etc/courier/authlib/authdaemonrc
+ AUTHLIB="/usr/lib/courier/courier-authlib"
+ AUTHDAEMOND="authdaemond"
+ pidfile="/var/run/authdaemon.pid"
+ logger="/usr/sbin/courierlogger"
+ export DEBUG_LOGIN DEFAULTOPTIONS LOGGEROPTS
+}
+
+start() {
+ checkconfig || return 1
+ setauth
+ ebegin "Starting courier-authlib: ${AUTHDAEMOND}"
+ start-stop-daemon --quiet --start --pidfile "$pidfile" --exec \
+ /usr/bin/env $logger -- ${LOGGEROPTS} -pid="$pidfile" -start "${AUTHLIB}/${AUTHDAEMOND}"
+ eend $?
+}
+
+stop() {
+ setauth
+ ebegin "Stopping courier-authlib: ${AUTHDAEMOND}"
+ start-stop-daemon --quiet --stop --pidfile "$pidfile"
+ eend $?
+}
--- /dev/null
+MD5 fb691558d611cb191ae6a83002f0195b courier-authlib-0.58.tar.bz2 2006735
+RMD160 6474612496cd287f294c7f52239ea853c44e4aa1 courier-authlib-0.58.tar.bz2 2006735
+SHA256 d877cc6c65e90471ec9410c5ce7af467ba5beb3922b9cfbf2bf6aa24f6bdc7ad courier-authlib-0.58.tar.bz2 2006735
--- /dev/null
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-libs/courier-authlib/files/initd/courier-authlib,v 1.1 2007/01/16 23:04:09 masterdriverz Exp $
+depend() {
+ need net
+ provide authdaemond
+}
+
+checkconfig() {
+ if [ ! -e /etc/courier/authlib/authdaemonrc ] ; then
+ eerror "You need an /etc/courier/authlib/authdaemonrc file to run authdaemon"
+ return 1
+ fi
+}
+
+setauth() {
+ source /etc/courier/authlib/authdaemonrc
+ AUTHLIB="/usr/lib/courier/courier-authlib"
+ AUTHDAEMOND="authdaemond"
+ pidfile="/var/run/authdaemon.pid"
+ logger="/usr/sbin/courierlogger"
+ export DEBUG_LOGIN DEFAULTOPTIONS LOGGEROPTS
+}
+
+start() {
+ checkconfig || return 1
+ setauth
+ ebegin "Starting courier-authlib: ${AUTHDAEMOND}"
+ start-stop-daemon --quiet --start --pidfile "$pidfile" --exec \
+ /usr/bin/env $logger -- ${LOGGEROPTS} -pid="$pidfile" -start "${AUTHLIB}/${AUTHDAEMOND}"
+ eend $?
+}
+
+stop() {
+ setauth
+ ebegin "Stopping courier-authlib: ${AUTHDAEMOND}"
+ start-stop-daemon --quiet --stop --pidfile "$pidfile"
+ eend $?
+}